Package com.sas.lsaf.security.audit

## Class AuditQuery

- java.lang.Object
- - com.sas.lsaf.security.audit.AuditQuery

- All Implemented Interfaces:
    `java.io.Serializable`

      public class AuditQuery
      extends java.lang.Object
      implements java.io.Serializable

  Audit entry query contains information on how to query the audit trail information. Specifying a source identifier queries the audit trail for a specific object. If no source identifier is specified, the global audit trail is queried.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuditQuery()` | The default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AuditQuery` | `actions​(java.util.List<java.lang.String> actions)` | Sets the list of actions to query.
    `AuditQuery` | `addAction​(java.lang.String action)` | Adds an action to the list of actions to query.
    `AuditQuery` | `addSourceTypeId​(java.lang.String sourceTypeId)` | Adds a source type to the list of types to query.
    `boolean` | `equals​(java.lang.Object obj)` |
    `AuditQuery` | `fromDate​(java.util.Date fromDate)` | Sets the start date of the date range to query.
    `java.util.List<java.lang.String>` | `getActions()` | Gets the list of actions to query.
    `java.util.Date` | `getFromDate()` | Gets the start date of the date range to query.
    `AuditEntry.Mode` | `getMode()` | Gets the audit mode to query by.
    `java.lang.String` | `getSourceId()` | Gets the identifier of the source object to query.
    `java.lang.String` | `getSourceLocation()` | Gets the location of the source object to query.
    `java.lang.String` | `getSourceName()` | Gets the name of the source object to query.
    `java.util.List<java.lang.String>` | `getSourceTypeIds()` | Gets the list of object types to query.
    `java.util.Date` | `getToDate()` | Gets the end date of the date range to query.
    `java.lang.String` | `getUserId()` | Gets the user identifier of the user whose actions to query.
    `int` | `hashCode()` |
    `AuditQuery` | `mode​(AuditEntry.Mode mode)` | Sets the audit mode to query by.
    `void` | `setActions​(java.util.List<java.lang.String> actions)` | Sets the list of actions to query.
    `void` | `setFromDate​(java.util.Date fromDate)` | Sets the start date of the date range to query.
    `void` | `setMode​(AuditEntry.Mode mode)` | Sets the audit mode to query by.
    `void` | `setSourceId​(java.lang.String sourceId)` | Sets the identifier of the source object to query.
    `void` | `setSourceLocation​(java.lang.String sourceLocation)` | Sets the location of the source object to query.
    `void` | `setSourceName​(java.lang.String sourceName)` | Sets the name of the source object to query.
    `void` | `setSourceTypeIds​(java.util.List<java.lang.String> sourceTypeIds)` | Sets the list of object types to query.
    `void` | `setToDate​(java.util.Date toDate)` | Sets the end date of the date range to query.
    `void` | `setUserId​(java.lang.String userId)` | Sets the user identifier of the user whose actions to query.
    `AuditQuery` | `sourceId​(java.lang.String sourceId)` | Sets the identifier of the source object to query.
    `AuditQuery` | `sourceLocation​(java.lang.String sourceLocation)` | Sets the location of the source object to query.
    `AuditQuery` | `sourceName​(java.lang.String sourceName)` | Sets the name of the source object to query.
    `AuditQuery` | `sourceTypeIds​(java.util.List<java.lang.String> sourceTypeIds)` | Sets the list of object types to query.
    `AuditQuery` | `toDate​(java.util.Date toDate)` | Sets the end date of the date range to query.
    `java.lang.String` | `toString()` |
    `AuditQuery` | `userId​(java.lang.String userId)` | Sets the user identifier of the user whose actions to query.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuditQuery

          public AuditQuery()

      The default constructor.

  - ### Method Detail

    - #### getUserId

          public java.lang.String getUserId()

      Gets the user identifier of the user whose actions to query.
      Returns:
        The user identifier of the user whose actions to query.

    - #### setUserId

          public void setUserId​(java.lang.String userId)

      Sets the user identifier of the user whose actions to query.
      Parameters:
        `userId` - the user identifier of the user whose actions to query.

    - #### getActions

          public java.util.List<java.lang.String> getActions()

      Gets the list of actions to query.
      Returns:
        The list of actions to query.

    - #### setActions

          public void setActions​(java.util.List<java.lang.String> actions)

      Sets the list of actions to query.
      Parameters:
        `actions` - The list of actions to query.

    - #### getSourceTypeIds

          public java.util.List<java.lang.String> getSourceTypeIds()

      Gets the list of object types to query.
      Returns:
        The list of object types to query.

    - #### setSourceTypeIds

          public void setSourceTypeIds​(java.util.List<java.lang.String> sourceTypeIds)

      Sets the list of object types to query.
      Parameters:
        `sourceTypeIds` - the list of object types to query.

    - #### getSourceName

          public java.lang.String getSourceName()

      Gets the name of the source object to query.
      Returns:
        The name of the source object to query.

    - #### setSourceName

          public void setSourceName​(java.lang.String sourceName)

      Sets the name of the source object to query.
      Parameters:
        `sourceName` - the name of the source object to query.

    - #### getSourceLocation

          public java.lang.String getSourceLocation()

      Gets the location of the source object to query.
      Returns:
        The location of the source object to query.

    - #### setSourceLocation

          public void setSourceLocation​(java.lang.String sourceLocation)

      Sets the location of the source object to query.
      Parameters:
        `sourceLocation` - the location of the source object to query.

    - #### getFromDate

          public java.util.Date getFromDate()

      Gets the start date of the date range to query.
      Returns:
        The start date of the date range to query.

    - #### setFromDate

          public void setFromDate​(java.util.Date fromDate)

      Sets the start date of the date range to query.
      Parameters:
        `fromDate` - the start date of the date range to query.

    - #### getToDate

          public java.util.Date getToDate()

      Gets the end date of the date range to query.
      Returns:
        The end date of the date range to query.

    - #### setToDate

          public void setToDate​(java.util.Date toDate)

      Sets the end date of the date range to query.
      Parameters:
        `toDate` - the end date of the date range to query.

    - #### getSourceId

          public java.lang.String getSourceId()

      Gets the identifier of the source object to query.
      Returns:
        The identifier of the source object to query.

    - #### setSourceId

          public void setSourceId​(java.lang.String sourceId)

      Sets the identifier of the source object to query.
      Parameters:
        `sourceId` - the identifier of the source object to query.

    - #### getMode

          public AuditEntry.Mode getMode()

      Gets the audit mode to query by.
      Returns:
        The audit mode to query by.

    - #### setMode

          public void setMode​(AuditEntry.Mode mode)

      Sets the audit mode to query by.
      Parameters:
        `mode` - the audit mode to query by.

    - #### userId

          public AuditQuery userId​(java.lang.String userId)

      Sets the user identifier of the user whose actions to query.
      Parameters:
        `userId` - the user identifier of the user whose actions to query.
      Returns:
        The audit query for further processing.

    - #### actions

          public AuditQuery actions​(java.util.List<java.lang.String> actions)

      Sets the list of actions to query.
      Parameters:
        `actions` - the list of actions to query.
      Returns:
        The audit query for further processing.

    - #### addAction

          public AuditQuery addAction​(java.lang.String action)

      Adds an action to the list of actions to query.
      Parameters:
        `action` - an action to add.
      Returns:
        The audit query for further processing.

    - #### sourceTypeIds

          public AuditQuery sourceTypeIds​(java.util.List<java.lang.String> sourceTypeIds)

      Sets the list of object types to query.
      Parameters:
        `sourceTypeIds` - the list of object types to query.
      Returns:
        The audit query for further processing.

    - #### addSourceTypeId

          public AuditQuery addSourceTypeId​(java.lang.String sourceTypeId)

      Adds a source type to the list of types to query.
      Parameters:
        `sourceTypeId` - a source type to add.
      Returns:
        The audit query for further processing.

    - #### sourceName

          public AuditQuery sourceName​(java.lang.String sourceName)

      Sets the name of the source object to query.
      Parameters:
        `sourceName` - the name of the source object to query.
      Returns:
        The audit query for further processing.

    - #### sourceLocation

          public AuditQuery sourceLocation​(java.lang.String sourceLocation)

      Sets the location of the source object to query.
      Parameters:
        `sourceLocation` - the location of the source object to query.
      Returns:
        The audit query for further processing.

    - #### fromDate

          public AuditQuery fromDate​(java.util.Date fromDate)

      Sets the start date of the date range to query.
      Parameters:
        `fromDate` - the start date of the date range to query.
      Returns:
        The audit query for further processing.

    - #### toDate

          public AuditQuery toDate​(java.util.Date toDate)

      Sets the end date of the date range to query.
      Parameters:
        `toDate` - the end date of the date range to query.
      Returns:
        The audit query for further processing.

    - #### sourceId

          public AuditQuery sourceId​(java.lang.String sourceId)

      Sets the identifier of the source object to query.
      Parameters:
        `sourceId` - the identifier of the source object to query.
      Returns:
        The audit query for further processing.

    - #### mode

          public AuditQuery mode​(AuditEntry.Mode mode)

      Sets the audit mode to query by.
      Parameters:
        `mode` - the audit mode to query by.
      Returns:
        The audit query for further processing.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`